Permalink
Browse files

adding binder requirements + badge (#352)

* adding binder requirements

* auto-generating requirements
  • Loading branch information...
choldgraf authored and nils-braun committed Jan 28, 2018
1 parent 6c6576e commit 56ee8291be96113c73584d884d44d16ce66d8b50
Showing with 39 additions and 0 deletions.
  1. +1 −0 README.md
  2. +16 −0 binder/generate_binder_requirements.py
  3. +22 −0 binder/requirements.txt
View
@@ -5,6 +5,7 @@
[![Gitter chat](https://badges.gitter.im/tsfresh/Lobby.svg)](https://gitter.im/tsfresh/Lobby?utm_source=share-link&utm_medium=link&utm_campaign=share-link)
![py27 status](https://img.shields.io/badge/python2.7-supported-green.svg)
[![py352 status](https://img.shields.io/badge/python3.5.2-supported-green.svg)](https://github.com/blue-yonder/tsfresh/issues/8)
[![Binder](https://mybinder.org/badge.svg)](https://mybinder.org/v2/gh/blue-yonder/tsfresh/master?filepath=notebooks)
@@ -0,0 +1,16 @@
from glob import glob
use_files = ["../requirements.txt", "../test-requirements.txt"]
files = set()
# Collect a list of dependencies
for ifile in use_files:
with open(ifile, 'r') as ff:
lines = ff.readlines()
files = files.union(lines)
# Sort and save
files = list(files)
files.sort()
with open('./requirements.txt', 'w') as ff:
ff.writelines(files)
View
@@ -0,0 +1,22 @@
dask>=0.15.2
distributed>=1.18.3
future>=0.16.0
ipaddress>=1.0.18; python_version <= '2.7'
ipython>=5.3.0
matplotlib>=2.0.0
mock>=2.0.0
notebook>=4.4.1
numpy>=1.10.4
pandas-datareader>=0.5.0
pandas>=0.20.3
patsy>=0.4.1
pytest-cov>=2.3.1
pytest-xdist>=1.15.0
pytest>=3.0.2
requests>=2.9.1
scikit-learn>=0.17.1
scipy>=0.17.0
seaborn>=0.7.1
six>=1.10.0
statsmodels>=0.6.1
tqdm>=4.10.0

0 comments on commit 56ee829

Please sign in to comment.